package contract

import (
	entityppigybank "niki/entity/piggy_bank/model"
)

type PiggyRequestBankRequestServices interface {
	AddPiggyRequestBank([]entityppigybank.PiggyBankRequest) error
	EditPiggyRequestBank(PiggyRequestID uint, PiggyRequestBankInput entityppigybank.PiggyBankRequest) error
	DeletePiggyRequestBank(PiggyRequestID uint) error
	GetAllPiggyRequestBank() ([]entityppigybank.PiggyBankRequest, error)
	GetPiggyRequestBankByID(PiggyRequestBank uint) (entityppigybank.PiggyBankRequest, error)
}
