package contract

import entityppigybank "niki/entity/piggy_bank/model"

type PiggyBankServices interface {
	AddPiggyBank([]entityppigybank.PiggyBank) error
	EditPiggyBank(piggyID uint, piggyBankInput entityppigybank.PiggyBank) error
	DeletePiggyBank(piggyID uint) error
	GetAllPiggyBank() ([]entityppigybank.PiggyBankRequest, error)
	GetPiggyBankByID(piggyBank uint) (entityppigybank.PiggyBank, error)
}
